Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519394 - [abrt] gnome-shell: g_type_check_instance_cast(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: g_type_check_instance_cast(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b9ff2921acd4857cc2d1796219a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 16:41 UTC by Eduardo Garcia
Modified: 2018-11-30 18:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:51:13 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: cgroup (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: core_backtrace (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: cpuinfo (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: dso_list (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: environ (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: exploitable (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: limits (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: maps (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: mountinfo (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: open_fds (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: proc_pid_status (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details
File: var_log_messages (deleted)
2017-11-30 16:41 UTC, Eduardo Garcia
no flags Details

Description Eduardo Garcia 2017-11-30 16:41:34 UTC
Description of problem:
Opening dialog from extension HowDoi ( https://extensions.gnome.org/extension/969/howdoi/ ), from the button on the top bar.

Version-Release number of selected component:
gnome-shell-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-shell
journald_cursor: s=8e64737f946d4864b826aee9dda62325;i=7559;b=d504335fe4dc482d81ae1d241d4ab66f;m=2f73b906f;t=55f35d1cf69de;x=d97ccde9646e9629
kernel:         4.15.0-0.rc1.git0.1.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4057
 #1 st_entry_get_property at ../src/st/st-entry.c:198
 #2 object_get_property at gobject.c:1394
 #3 g_object_get_property at gobject.c:2591
 #4 get_prop_from_g_param at gi/object.cpp:289
 #5 object_instance_get_prop(JSContext*, JS::HandleObject, JS::HandleId, JS::MutableHandleValue) at gi/object.cpp:411
 #6 js::CallJSGetterOp(JSContext*, bool (*)(JSContext*, JS::Handle<JSObject*>, JS::Handle<jsid>, JS::MutableHandle<JS::Value>), JS::Handle<JSObject*>, JS::Handle<jsid>, JS::MutableHandle<JS::Value>) at /usr/src/debug/mozjs52-52.5.0-1.fc27.x86_64/jscntxtinlines.h:310
 #7 GetNonexistentProperty(JSContext *, js::HandleNativeObject, JS::HandleId, enum IsNameLookup, JS::MutableHandleValue) at /usr/src/debug/mozjs52-52.5.0-1.fc27.x86_64/vm/NativeObject.cpp:1956
 #8 NativeGetPropertyInline<(js::AllowGC)1> at /usr/src/debug/mozjs52-52.5.0-1.fc27.x86_64/vm/NativeObject.cpp:2097
 #9 js::NativeGetProperty(JSContext*, JS::Handle<js::NativeObject*>, JS::Handle<JS::Value>, JS::Handle<jsid>, JS::MutableHandle<JS::Value>) at /usr/src/debug/mozjs52-52.5.0-1.fc27.x86_64/vm/NativeObject.cpp:2115

Comment 1 Eduardo Garcia 2017-11-30 16:41:39 UTC
Created attachment 1361003 [details]
File: backtrace

Comment 2 Eduardo Garcia 2017-11-30 16:41:40 UTC
Created attachment 1361004 [details]
File: cgroup

Comment 3 Eduardo Garcia 2017-11-30 16:41:41 UTC
Created attachment 1361005 [details]
File: core_backtrace

Comment 4 Eduardo Garcia 2017-11-30 16:41:43 UTC
Created attachment 1361006 [details]
File: cpuinfo

Comment 5 Eduardo Garcia 2017-11-30 16:41:44 UTC
Created attachment 1361007 [details]
File: dso_list

Comment 6 Eduardo Garcia 2017-11-30 16:41:45 UTC
Created attachment 1361008 [details]
File: environ

Comment 7 Eduardo Garcia 2017-11-30 16:41:46 UTC
Created attachment 1361009 [details]
File: exploitable

Comment 8 Eduardo Garcia 2017-11-30 16:41:47 UTC
Created attachment 1361010 [details]
File: limits

Comment 9 Eduardo Garcia 2017-11-30 16:41:48 UTC
Created attachment 1361011 [details]
File: maps

Comment 10 Eduardo Garcia 2017-11-30 16:41:49 UTC
Created attachment 1361012 [details]
File: mountinfo

Comment 11 Eduardo Garcia 2017-11-30 16:41:50 UTC
Created attachment 1361013 [details]
File: open_fds

Comment 12 Eduardo Garcia 2017-11-30 16:41:51 UTC
Created attachment 1361014 [details]
File: proc_pid_status

Comment 13 Eduardo Garcia 2017-11-30 16:41:52 UTC
Created attachment 1361015 [details]
File: var_log_messages

Comment 14 Adam Williamson 2017-12-18 23:56:52 UTC
It may be a better idea to report this upstream to the extension, if it's definitely caused specifically by interacting with the extension. As Fedora doesn't ship the extension, we can't really fix it.

Comment 15 Ben Cotton 2018-11-27 17:45:02 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 18:51:13 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.